Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008372opensim[GRID] Messaging Servicepublic2018-09-14 21:492018-09-18 09:43
Reportershinobar 
Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0008372: Multibyte characters turn into ??? in Instant Messages
DescriptionRecent OpenSim-0.9.1.0Dev does not pass multibyte characters in instant messages to online avatars on another simulator, which OpenSim-0.9.0.1 Release does with no problem.

XMLRPC.dll in OpenSim-0.9.0.1 Release has 41kB size. Viewing the git, the XMLRPC.dll in OpenSim-0.9.1.0Dev after 2018-05-04 22:01 has 25kB size.

I confirmed replacing the XMLRPC.dll in OpenSim-0.9.1.0Dev by that of OpenSim-0.9.0.1 Release resolves this problem.
 
Steps To ReproduceFor example, Lbsa Plaza in Osgrid runs OpenSim 0.9.1.0 Snail Dev 50627304a6: 2018-08-30 20:09:12 +0100 (Unix/Mono).
An instant messages to the avatars online on any other SIM, multibyte charactors turn into '???'.
TagsNo tags attached.
Git Revision or version numberfixed at git 2018-0917
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
EnvironmentUnknown
Mono VersionNone
ViewerFirestorm
Attached Files

- Relationships

-  Notes
(0032976)
UbitUmarov (administrator)
2018-09-17 08:12

Changed master xmlrpc.dll, hope that fix this
(0032991)
watcher64 (reporter)
2018-09-17 17:26

Just as a heads up, it appears that in "Grid Mode" this needs to be applied to the Robust server, so it will need to be updated as well, for it to work via HG messages and must also be on the regions ...
(0032995)
shinobar (reporter)
2018-09-18 09:40

Confirmed the problem resolved at the git 2018-09-17.

- Issue History
Date Modified Username Field Change
2018-09-14 21:49 shinobar New Issue
2018-09-17 08:12 UbitUmarov Note Added: 0032976
2018-09-17 17:26 watcher64 Note Added: 0032991
2018-09-18 09:40 shinobar Note Added: 0032995
2018-09-18 09:43 shinobar Git Revision or version number => fixed at git 2018-0917
2018-09-18 09:43 shinobar Status new => resolved
2018-09-18 09:43 shinobar Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker